Question

Ubuntu+Openlitespeed+Ubuntu+Wordpress Stack LetsEncrypt Issue

I’ve installed this Openlistespeed WP stack for my DO droplet: https://marketplace.digitalocean.com/apps/openlitespeed-wordpress

  1. The domains added, NS, A record perfectly pointed into the Cloudflare
  2. DO auto domain configuration option is giving error saying " domain inaccessible please verify"

Here is the Terminal screenshot: https://imgur.com/iN75lW6

Subscribe
Share

Submit an answer
You can type!ref in this text area to quickly search our full set of tutorials, documentation & marketplace offerings and insert the link!

These answers are provided by our Community. If you find them useful, show some love by clicking the heart. If you run into issues leave a comment, or add your own answer to help others.

Accepted Answer

Hi,

Before applying LE cert, the script will auto-check if there are any ‘litespeed’ strings shows in the response header. We just make it support Cloudflare as well. So, you can either

  1. Edit /opt/domainsetup.sh, comment out line 310 domainverify
  2. Apply cert before pointing the domain through Cloudflare
  3. Launch a new openlitespeed Wordpress server that should have Cloudflare supported.

Best, Eric